--- makefile.orig	2021-06-01 13:31:44.000000000 -0500
+++ makefile	2024-09-07 01:30:46.000000000 -0500
@@ -154,3 +154,36 @@
 	(cd UNSUPP/PLOTS ; $(F77) $(OPT) texgrid1.f)
 UNSUPP/PLOTS/texplt1.o : UNSUPP/PLOTS/texplt1.f 
 	(cd UNSUPP/PLOTS ; $(F77) $(OPT) texplt1.f)
+
+# replaces unwieldy script "dotests"
+test : all
+	cd BLASSM        && $(MAKE) mvec.ex tester.ex
+	cd FORMATS       && $(MAKE) un.ex fmt.ex rvbr.ex
+	cd INFO          && $(MAKE) info1.ex
+	cd INOUT         && $(MAKE) chk.ex hb2ps.ex hb2pic.ex
+	cd ITSOL         && $(MAKE) riters.ex rilut.ex riter2.ex
+	cd MATGEN/FDIF   && $(MAKE) gen5.ex genbl.ex
+	cd MATGEN/FEM    && $(MAKE) fem.ex
+	cd MATGEN/MISC   && $(MAKE) sobel.ex zlatev.ex markov.ex
+	cd UNSUPP/MATEXP && $(MAKE) exp.ex phi.ex
+
+	cd BLASSM  && ./mvec.ex
+	cd BLASSM  && ./tester.ex
+	cd FORMATS && ./un.ex && cat unary.mat
+	cd FORMATS && ./fmt.ex && grep ERROR *.mat || ls -s *.mat
+	cd FORMATS && ./rvbr.ex
+	cd INFO    && ./info1.ex < saylr1
+	cd INOUT   && ./chk.ex
+	cd INOUT   && ./hb2ps.ex < ../INFO/saylr1 > saylr1.ps
+	cd INOUT   && ./hb2pic.ex < ../INFO/saylr1 > saylr1.pic
+	cd ITSOL   && ./riters.ex
+	cd ITSOL   && ./rilut.ex
+	cd ITSOL   && ./riter2.ex < ../INFO/saylr1
+	cd MATGEN/FDIF && echo "10 10 1\ntestpt.mat" | ./gen5.ex
+	cd MATGEN/FDIF && echo "10 10 1\n4\ntestbl.mat" | ./genbl.ex
+	cd MATGEN/FEM  && echo "2\n2" | ./fem.ex && cat mat.hb
+	cd MATGEN/MISC && echo "10" | ./sobel.ex
+	cd MATGEN/MISC && ./zlatev.ex && cat zlatev*.mat
+	cd MATGEN/MISC && echo "10" | ./markov.ex && cat markov.mat
+	cd UNSUPP/MATEXP && echo "0.1\n0.00001\n10" | ./exp.ex
+	cd UNSUPP/MATEXP && echo "0.1\n0.00001\n10" | ./phi.ex
